cURL
curl --request POST \
--url https://api.useanima.sh/v1/orgs/{orgId}/compliance/reports \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"description": "<string>",
"format": "JSON",
"generatedBy": "<string>",
"periodStart": "<string>",
"periodEnd": "<string>",
"parameters": {}
}
'import requests
url = "https://api.useanima.sh/v1/orgs/{orgId}/compliance/reports"
payload = {
"title": "<string>",
"description": "<string>",
"format": "JSON",
"generatedBy": "<string>",
"periodStart": "<string>",
"periodEnd": "<string>",
"parameters": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
description: '<string>',
format: 'JSON',
generatedBy: '<string>',
periodStart: '<string>',
periodEnd: '<string>',
parameters: {}
})
};
fetch('https://api.useanima.sh/v1/orgs/{orgId}/compliance/reports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.useanima.sh/v1/orgs/{orgId}/compliance/reports",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'title' => '<string>',
'description' => '<string>',
'format' => 'JSON',
'generatedBy' => '<string>',
'periodStart' => '<string>',
'periodEnd' => '<string>',
'parameters' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.useanima.sh/v1/orgs/{orgId}/compliance/reports"
payload := strings.NewReader("{\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"format\": \"JSON\",\n \"generatedBy\": \"<string>\",\n \"periodStart\": \"<string>\",\n \"periodEnd\": \"<string>\",\n \"parameters\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.useanima.sh/v1/orgs/{orgId}/compliance/reports")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"format\": \"JSON\",\n \"generatedBy\": \"<string>\",\n \"periodStart\": \"<string>\",\n \"periodEnd\": \"<string>\",\n \"parameters\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.useanima.sh/v1/orgs/{orgId}/compliance/reports")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"format\": \"JSON\",\n \"generatedBy\": \"<string>\",\n \"periodStart\": \"<string>\",\n \"periodEnd\": \"<string>\",\n \"parameters\": {}\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"orgId": "<string>",
"type": "SOC2_SUMMARY",
"title": "<string>",
"description": "<string>",
"status": "PENDING",
"format": "JSON",
"parameters": {},
"content": {},
"errorMessage": "<string>",
"generatedBy": "<string>",
"periodStart": "<string>",
"periodEnd": "<string>",
"completedAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}API Reference
Post orgs compliancereports
POST
/
orgs
/
{orgId}
/
compliance
/
reports
cURL
curl --request POST \
--url https://api.useanima.sh/v1/orgs/{orgId}/compliance/reports \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"description": "<string>",
"format": "JSON",
"generatedBy": "<string>",
"periodStart": "<string>",
"periodEnd": "<string>",
"parameters": {}
}
'import requests
url = "https://api.useanima.sh/v1/orgs/{orgId}/compliance/reports"
payload = {
"title": "<string>",
"description": "<string>",
"format": "JSON",
"generatedBy": "<string>",
"periodStart": "<string>",
"periodEnd": "<string>",
"parameters": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
description: '<string>',
format: 'JSON',
generatedBy: '<string>',
periodStart: '<string>',
periodEnd: '<string>',
parameters: {}
})
};
fetch('https://api.useanima.sh/v1/orgs/{orgId}/compliance/reports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.useanima.sh/v1/orgs/{orgId}/compliance/reports",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'title' => '<string>',
'description' => '<string>',
'format' => 'JSON',
'generatedBy' => '<string>',
'periodStart' => '<string>',
'periodEnd' => '<string>',
'parameters' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.useanima.sh/v1/orgs/{orgId}/compliance/reports"
payload := strings.NewReader("{\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"format\": \"JSON\",\n \"generatedBy\": \"<string>\",\n \"periodStart\": \"<string>\",\n \"periodEnd\": \"<string>\",\n \"parameters\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.useanima.sh/v1/orgs/{orgId}/compliance/reports")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"format\": \"JSON\",\n \"generatedBy\": \"<string>\",\n \"periodStart\": \"<string>\",\n \"periodEnd\": \"<string>\",\n \"parameters\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.useanima.sh/v1/orgs/{orgId}/compliance/reports")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"format\": \"JSON\",\n \"generatedBy\": \"<string>\",\n \"periodStart\": \"<string>\",\n \"periodEnd\": \"<string>\",\n \"parameters\": {}\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"orgId": "<string>",
"type": "SOC2_SUMMARY",
"title": "<string>",
"description": "<string>",
"status": "PENDING",
"format": "JSON",
"parameters": {},
"content": {},
"errorMessage": "<string>",
"generatedBy": "<string>",
"periodStart": "<string>",
"periodEnd": "<string>",
"completedAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}Authorizations
BearerAuthApiKeyAuth
Body
application/json
Input for generating a compliance report
Response
200 - application/json
OK
A compliance report record
